Bug 376911 - x server crashes unexpectedly with i810 driver, using 3d 3d effects
x server crashes unexpectedly with i810 driver, using 3d 3d effects
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 22:36 EST by Amadeus W.M.
Modified: 2009-01-09 02:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:24:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log of a running session (59.55 KB, text/plain)
2007-11-11 22:41 EST, Amadeus W.M.
no flags Details
xorg.conf in use at the time of the crash. (728 bytes, application/octet-stream)
2007-11-12 18:45 EST, Amadeus W.M.
no flags Details
X server log when the X server crashed. (61.98 KB, text/plain)
2007-12-20 00:25 EST, Amadeus W.M.
no flags Details
xorg.conf (11.06 KB, text/plain)
2007-12-24 12:33 EST, Alex Butcher
no flags Details

  None (edit)
Description Amadeus W.M. 2007-11-11 22:36:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
X server crashes. Fresh install of F8, with latest updates. Running in level 3. I have desktop effects enabled. The video card is an onboard intel chip, i845G. 
By default, the installer configured X to use the experimental intel driver, but mplayer didn't run in full screen with that so I switched to the i810 driver, at 1280x1024. 

The X server simply disappeared, and I was returned at the console prompt. This is what it was printed on screen, which I saved to a file for filing this bug report. Before starting X again I looked at /var/log/Xorg.0.log and I saw there the same information, but that got overwritten when I started X. 

Backtrace:
0: X(xf86SigHandler+0x81) [0x80cdee1]
1: [0x110420]
2: /lib/libc.so.6(memcpy+0x1c) [0xb408ac]
3: /usr/lib/xorg/modules//libfb.so(fbBlt+0x95e) [0x3494be]
4: /usr/lib/xorg/modules//libfb.so(fbBltStip+0x73) [0x349a23]
5: /usr/lib/xorg/modules//libfb.so(fbGetImage+0x23a) [0x35944a]
6: /usr/lib/xorg/modules//libxaa.so [0x37c2b2]
7: X [0x811b578]
8: X [0x8174e43]
9: X [0x812ffad]
10: /usr/lib/xorg/modules//libshadow.so [0x3cbf72]
11: X [0x8146d6b]
12: X [0x814765c]
13: X [0x81509fe]
14: X(Dispatch+0x1aa) [0x808880a]
15: X(main+0x49a) [0x807054a]
16: /lib/libc.so.6(__libc_start_main+0xe0) [0xae5390]
17: X(FontFileCompleteXLFD+0x1f1) [0x806f831]

Fatal server error:
Caught signal 11.  Server aborting

gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server





Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
1.
2.
3.

Actual Results:


Expected Results:
Should not segfault.

Additional info:
This bug may be related to aiglx or gnome, I can't tell for sure it's an xorg bug.
Comment 1 Amadeus W.M. 2007-11-11 22:41:20 EST
Created attachment 254911 [details]
Xorg.0.log of a running session

I wish I had saved the log file prior to restarting X after the crash, because
that file contained probably more information about the crash than I could copy
and paste from the console (which I reported in the description of the bug).
Comment 2 Matěj Cepl 2007-11-12 11:24:43 EST
That's perfect -- could we get your /etc/X11/xorg.conf as well, please?
Comment 3 Amadeus W.M. 2007-11-12 18:45:20 EST
Created attachment 256061 [details]
xorg.conf in use at the time of the crash.
Comment 4 Amadeus W.M. 2007-12-20 00:25:38 EST
Created attachment 290124 [details]
X server log when the X server crashed.
Comment 5 Alex Butcher 2007-12-24 12:33:59 EST
Created attachment 290355 [details]
xorg.conf
Comment 6 Alex Butcher 2007-12-24 12:34:48 EST
Comment on attachment 290355 [details]
xorg.conf

Seems to happen for me too, and closing a Firefox window seems to the best way
of provoking it. It's fairly uncommon, though.

From /var/log/Xorg.0.log.old:

(II) RADEON(0): EDID for output DVI-0
(II) RADEON(0): EDID for output S-video
(II) XAA: Evicting pixmaps
SetGrabKeysState - disabled
enable montype: 1
disable montype: 1
disable montype: 1
enable montype: 1
disable montype: 1
enable montype: 1
enable montype: 1
SetGrabKeysState - enabled

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80cdfb1]
1: [0x110420]
2: /usr/bin/X [0x81774d2]
3: /usr/bin/X [0x8177679]
4: /usr/bin/X [0x8174006]
5: /usr/bin/X(CompositePicture+0x153) [0x815a6c3]
6: /usr/bin/X [0x81604ff]
7: /usr/bin/X [0x815d8a5]
8: /usr/bin/X [0x8150b0e]
9: /usr/bin/X(Dispatch+0x1aa) [0x808880a]
10: /usr/bin/X(main+0x49a) [0x807054a]
11: /lib/libc.so.6(__libc_start_main+0xe0) [0xbcc390]
12: /usr/bin/X(FontFileCompleteXLFD+0x1f1) [0x806f831]

Fatal server error:
Caught signal 11.  Server aborting

(II) AIGLX: Suspending AIGLX clients for VT switch
disable montype: 1
(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0x1fff0000
(II) RADEON(0):   MC_AGP_LOCATION  : 0x27ff2000
finished PLL2
finished PLL1
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
Comment 7 Alex Butcher 2007-12-24 12:37:18 EST
Oh, I'm using a 128MB Radeon 9250, rather than an i845G
Comment 8 Bug Zapper 2008-11-26 03:20:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:24:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.